#!/bin/bash

#usage
function usage()
{
    echo "USAGE: pva-pp-postUpgrade" 1>&2
}

###################### Include common files #######################

. ${0/%pva-pp-*/pva-pp-functions.sh} || { echo "Failed to load hint functions"; exit -1;}

############################### Go  ##############################

echo "------------------------------------------------------------------------------------------------"
date "+%b %e %T PVA Power Panel postupgrade configuration : start"

# parse options
eval set -- $* --
while true ; do
    case "$1" in
        --help)		usage; exit 0 ;;
        --)		shift ; break ;;
        *) 		shift ;;
    esac
done

# if PP is installed on slave we should call pva-cp-postInstall
postinstall || abort $? "PVA Power Panel postinstall configuration failed"

vzlist 1

if [ $? -eq 0 ]; then
    vzctl restart $PP_VEID
fi

date "+%b %e %T PVA Power Panel postupgrade configuration : stop"
echo "------------------------------------------------------------------------------------------------"

exit 0

